Package: bcron / 0.11-8

0010-disable-crontab-tests.patch Patch series | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
Description: Disable crontab new tests, they require a lot of stuff, runit, sockets,
 and a lot of other tools
Last-Update: 2017-12-13

--- bcron-0.11.orig/tests.sh
+++ bcron-0.11/tests.sh
@@ -439,37 +439,37 @@ END_OF_TEST_RESULTS
 
 ##### Test tests/bcrontab #####
 
-runtest() {
-startspool
-
-bcrontab -l
-echo $?
-
-echo 'Test crontab' >$CRONTABS/$USER
-bcrontab -l
-echo $?
-rm -f $CRONTABS/$USER
-
-bcrontab -l -u nobody
-echo $?
-
-echo
-stopspool
-}
-vecho "Running test tests/bcrontab "
-run_compare_test tests/bcrontab  <<END_OF_TEST_RESULTS
-bcrontab: Fatal: Crontab does not exist
-111
-Test crontab
-0
-bcrontab: Fatal: Username does not match invoking UID
-111
-
-bcron-spool[#]: L ${USER}
-bcron-spool[#]: Fatal: ${USER}: Crontab does not exist
-bcron-spool[#]: L ${USER}
-bcron-spool[#]: Fatal: nobody: Username does not match invoking UID
-END_OF_TEST_RESULTS
+#runtest() {
+#startspool
+#
+#bcrontab -l
+#echo $?
+#
+#echo 'Test crontab' >$CRONTABS/$USER
+#bcrontab -l
+#echo $?
+#rm -f $CRONTABS/$USER
+#
+#bcrontab -l -u nobody
+#echo $?
+#
+#echo
+#stopspool
+#}
+#vecho "Running test tests/bcrontab "
+#run_compare_test tests/bcrontab  <<END_OF_TEST_RESULTS
+#bcrontab: Fatal: Crontab does not exist
+#111
+#Test crontab
+#0
+#bcrontab: Fatal: Username does not match invoking UID
+#111
+#
+#bcron-spool[#]: L ${USER}
+#bcron-spool[#]: Fatal: ${USER}: Crontab does not exist
+#bcron-spool[#]: L ${USER}
+#bcron-spool[#]: Fatal: nobody: Username does not match invoking UID
+#END_OF_TEST_RESULTS
 
 
 ##### Test tests/spool-delete-good #####